org.apache.felix.bundlerepository.impl

## Class ObrGogoCommand

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.ObrGogoCommand

    public class ObrGogoCommand
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ObrGogoCommand(org.osgi.framework.BundleContext bc, RepositoryAdmin repositoryAdmin)`

### Method Summary

Methods
`static void` `copy(java.io.InputStream is, java.io.File dir, java.lang.String destName, java.lang.String destDir, byte[] buffer)`
`void` `deploy(boolean start, boolean requiredOnly, java.lang.String[] args)`
`static void` `downloadSource(java.io.PrintStream out, java.io.PrintStream err, java.net.URL srcURL, java.io.File localDir, boolean extract)`
`static java.lang.String` `getUnderlineString(int len)`
`void` `info(java.lang.String[] args)`
`void` `javadoc(boolean extract, java.io.File localDir, java.lang.String[] args)`
`void` `list(boolean verbose, java.lang.String[] args)`
`void` `repos(java.lang.String action, java.lang.String[] args)`
`static void` `setProxyAuth(java.net.URLConnection conn)`
`void` `source(boolean extract, java.io.File localDir, java.lang.String[] args)`
`static void` `unjar(java.util.jar.JarInputStream jis, java.io.File dir)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObrGogoCommand

    public ObrGogoCommand(org.osgi.framework.BundleContext bc,
                  RepositoryAdmin repositoryAdmin)

### Method Detail

#### repos

    public void repos(java.lang.String action,
             java.lang.String[] args)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### list

    public void list(boolean verbose,
            java.lang.String[] args)
              throws java.io.IOException,
                     org.osgi.framework.InvalidSyntaxException

Throws:
  `java.io.IOException`
  `org.osgi.framework.InvalidSyntaxException`

#### info

    public void info(java.lang.String[] args)
              throws java.io.IOException,
                     org.osgi.framework.InvalidSyntaxException

Throws:
  `java.io.IOException`
  `org.osgi.framework.InvalidSyntaxException`

#### deploy

    public void deploy(boolean start,
              boolean requiredOnly,
              java.lang.String[] args)
                throws java.io.IOException,
                       org.osgi.framework.InvalidSyntaxException

Throws:
  `java.io.IOException`
  `org.osgi.framework.InvalidSyntaxException`

#### source

    public void source(boolean extract,
              java.io.File localDir,
              java.lang.String[] args)
                throws java.io.IOException,
                       org.osgi.framework.InvalidSyntaxException

Throws:
  `java.io.IOException`
  `org.osgi.framework.InvalidSyntaxException`

#### javadoc

    public void javadoc(boolean extract,
               java.io.File localDir,
               java.lang.String[] args)
                 throws java.io.IOException,
                        org.osgi.framework.InvalidSyntaxException

Throws:
  `java.io.IOException`
  `org.osgi.framework.InvalidSyntaxException`

#### getUnderlineString

    public static java.lang.String getUnderlineString(int len)

#### downloadSource

    public static void downloadSource(java.io.PrintStream out,
                      java.io.PrintStream err,
                      java.net.URL srcURL,
                      java.io.File localDir,
                      boolean extract)

#### setProxyAuth

    public static void setProxyAuth(java.net.URLConnection conn)
                             throws java.io.IOException

Throws:
  `java.io.IOException`

#### unjar

    public static void unjar(java.util.jar.JarInputStream jis,
             java.io.File dir)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### copy

    public static void copy(java.io.InputStream is,
            java.io.File dir,
            java.lang.String destName,
            java.lang.String destDir,
            byte[] buffer)
                     throws java.io.IOException

Throws:
  `java.io.IOException`